Page MenuHomePhabricator

[mlir][docs] Bring bufferization docs up to date.
ClosedPublic

Authored by silvas on Jan 8 2021, 4:27 PM.

Details

Summary

This spilts out BufferDeallocationInternals.md, since buffer
deallocation is not part of bufferization per se.

Diff Detail

Event Timeline

silvas created this revision.Jan 8 2021, 4:27 PM
silvas requested review of this revision.Jan 8 2021, 4:28 PM
silvas updated this revision to Diff 315547.Jan 8 2021, 4:29 PM

Remove old stray stuff and add a TOC

dfki-jugr accepted this revision.Jan 11 2021, 1:08 AM
dfki-jugr added inline comments.
mlir/docs/Bufferization.md
0–1

the the -> the, or: converting tensor type to memref type.

This revision is now accepted and ready to land.Jan 11 2021, 1:08 AM
silvas updated this revision to Diff 315877.Jan 11 2021, 11:19 AM

Fix dfki-jugr@'s comments.

Could you wordwrap this to make it easier to read?

mlir/docs/Bufferization.md
0–1

Nit: Could you wordwrap this?

Also, straightforward is a big word.

178–179

to do as a single sounds wrong.

silvas updated this revision to Diff 316226.Jan 12 2021, 1:47 PM

Address Stephan's comments.

This revision was automatically updated to reflect the committed changes.